Bug 461520 - RFE: virt-manager: Proper full screen mode
RFE: virt-manager: Proper full screen mode
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 16:09 EDT by Shawn Starr
Modified: 2011-07-12 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 18:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 251055 None None None Never

  None (edit)
Description Shawn Starr 2008-09-08 16:09:59 EDT
Description of problem: 

When using virt-manager with XP using a monitor of 1600x1200, virt-manager will not properly resize the guest to fit the screen. The menu on top does not go away and the window itself does not show the panel bar/start menu.


Version-Release number of selected component (if applicable):
virt-manager-0.5.4-4.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Set resolution in VM to 1600x1200, observe inability to see bottom panel/start menu.
  
Actual results:
Cannot see guest screen fully

Expected results:
Should see guest OS fully.

Additional info:
Comment 1 Richard Laager 2008-12-09 15:43:26 EST
The Ubuntu Launchpad bug 251055 linked here is not the same as this bug, but apparently you can't remove bug watches without special permissions.
Comment 2 Cole Robinson 2010-05-05 16:51:37 EDT
To get rid of the menu bar we need a proper fullscreen mode like vinagre has. We could try porting the autoshelf widget that they use to python, but just an idea.
Comment 3 Cole Robinson 2011-07-12 18:54:35 EDT
Upstream virt-manager now has a hiding fullscreen bar like vinagre.

Note You need to log in before you can comment on or make changes to this bug.